import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { SortOrderSchema } from '../enums/SortOrder.schema'

const makeSchema = () => z.object({
  id: SortOrderSchema.optional(),
  claimId: SortOrderSchema.optional()
}).strict();
export const ClaimFileAvgOrderByAggregateInputObjectSchema: z.ZodType<Prisma.ClaimFileAvgOrderByAggregateInput> = makeSchema() as unknown as z.ZodType<Prisma.ClaimFileAvgOrderByAggregateInput>;
export const ClaimFileAvgOrderByAggregateInputObjectZodSchema = makeSchema();
